part of cresce_ui;

class CCircle extends StatelessWidget {
  final Size? size;
  final Uint8List? image;

  const CCircle({
    Key? key,
    this.size = const Size(86, 86),
    this.image,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: size!.width,
      height: size!.height,
      decoration: BoxDecoration(
        border: Border.all(color: const Color(0xFF4CBAAC)),
        borderRadius: const BorderRadius.all(Radius.elliptical(9999.0, 9999.0)),
        boxShadow: const [
          BoxShadow(
            color: Color(0x29000000),
            offset: Offset(0, 3),
            blurRadius: 6,
          ),
        ],
      ),
      child: CircleAvatar(
        backgroundImage: MemoryImage(image ?? base64Decode(_placeholder)),
      ),
    );
  }
}
